﻿using System;
using System.IO;
using System.Reflection;
using ICities;
using UnityEngine;

namespace AllSpacesUnlockableWithRightPrice {

    public class AllSpacesUnlockableWithRightPrice : IUserMod {

        public void OnLoad() {
        }

        public void OnUnload() {
        }

        public string Name {
            get { return "25 Spaces W/ Right Price"; }
        }

        public string Description {
            get { return "Can unlock the full map, the block price rises when unlocking the map."; }
        }

    }

	public class AllSpacesUnlockableWithRightPriceAreas : AreasExtensionBase {

        public override  void OnCreated(IAreas areas) {
			base.OnCreated(areas);
			areas.maxAreaCount  = 25;
        }
		
		public override  int OnGetAreaPrice(uint ore, uint oil, uint forest, uint fertility, uint water, bool road, bool train, bool ship, bool plane, float landFlatness, int originalPrice){
			int exit = base.OnGetAreaPrice( ore,  oil,  forest,  fertility,  water,  road,  train,  ship,  plane,  landFlatness,  originalPrice);
			if(areaManager.unlockedAreaCount>9){
				return exit / 9 * areaManager.unlockedAreaCount;
			} else{
				return exit;			
			}
		}

    }

}
